PETSc version 3.17.4
Fix/Edit manual page

# TSDiscGradUseGonzalez

Sets discrete gradient formulation with or without additional conservative terms. Without flag, the discrete gradients timestepper is just backwards euler

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSDiscGradUseGonzalez(TS ts,PetscBool flg)

Not Collective

### Input Parameters

| ts | - timestepping context
| flg | - PETSC_TRUE to use the Gonzalez term

### Options Database

| -ts_discgrad_gonzalez <flg> | - use the Gonzalez term for the discrete gradient formulation

### See Also

TSDISCGRAD

### Level

Intermediate

### Location

src/ts/impls/implicit/discgrad/tsdiscgrad.c

### Implementations

TSDiscGradUseGonzalez_DiscGrad in src/ts/impls/implicit/discgrad/tsdiscgrad.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages